Skip to main content
Resource Center/CloudFormation Operations

GetSupportedCloudFormationResources

GetSupportedCloudFormationResources

GET/zstack/v1/cloudformation/resources

Operation ID

GetSupportedCloudFormationResources

Since

2.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • version
    String

    Optional. The template version No. For example, v1.

  • type
    String

    Optional. The template type. Default type: zstack.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resources
    ListRequired

    See resources.

    • name
      StringRequired

      The resource name.

    • type
      StringRequired

      The type, including Action and Resource.

    • actionName
      StringRequired

      The action name.

    • resources
      ListRequired

      The list of the associated resources.